## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate tree-sitter-generate

Name:           rust-tree-sitter-generate
Version:        0.25.1
Release:        %autorelease
Summary:        Library for generating C source code from a tree-sitter grammar

License:        MIT
URL:            https://crates.io/crates/tree-sitter-generate
Source:         %{crates_source}
# * Upstream license file - tree-sitter/tree-sitter#1520
Source2:        https://github.com/tree-sitter/tree-sitter/raw/v%{version}/LICENSE#/LICENSE.upstream
# Manually created patch for downstream crate metadata changes
# * Downgrade 'semver' and 'url' to the versions available in Fedora
Patch:          tree-sitter-generate-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Library for generating C source code from a tree-sitter grammar.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE2} LICENSE

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * There's a typo in the test assertion...
%cargo_test -- -- --skip prepare_grammar::flatten_grammar::tests::test_flatten_grammar_with_recursive_inline_variable
%endif

%changelog
## START: Generated by rpmautospec
* Tue Feb 18 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.25.1-1
- Update to 0.25.2

* Sat Feb 01 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.24.7-1
- Initial import (rhbz#2338880)
## END: Generated by rpmautospec
